##
##  soot.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         soot
Summary:      Java Bytecode Analysis and Transformation Framework
URL:          http://www.sable.mcgill.ca/soot/
Vendor:       Raja Vallee-Rai et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      LGPL
Version:      2.5.0
Release:      20120123

#   list of sources
Source0:      http://www.sable.mcgill.ca/software/sootclasses-%{version}.jar
Source1:      soot.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    Soot is a Java bytecode analysis and transformation framework.
    It provides a Java API for building intermediate representations
    (IRs), analyses and transformations; also it supports class file
    annotation.

%track
    prog soot = {
        version   = %{version}
        url       = http://www.sable.mcgill.ca/soot/soot_download.html
        regex     = sootclasses-(__VER__)\.jar
    }

%prep
    %setup -q -T -c

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/soot
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE soot.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/soot
    %{l_shtool} install -c -m 644 \
        %{SOURCE sootclasses-%{version}.jar} \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/soot/soot.jar
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

